Subject: Manual section 2.6.5 on Emacs Packages needs updating regarding native-compilation
From: Adam Porter <[email-masked]>
To: [email-masked]
Date: Sat, 22 Jun 2024 20:00:43 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I just noticed that the Guix manual at
<https://guix.gnu.org/manual/en/guix.html>, in section 2.6.5, says:

> Note: Emacs can now compile packages natively. Under the default
> configuration, this means that Emacs packages will now be
> just-in-time (JIT) compiled as you use them, and the results stored
> in a subdirectory of your user-emacs-directory.
> 
> Furthermore, the build system for Emacs packages transparently
> supports native compilation, but note, that emacs-minimal—the default
> Emacs for building packages—has been configured without native
> compilation. To natively compile your emacs packages ahead of time,
> use a transformation like --with-input=emacs-minimal=emacs.

Given the patch that disables such JIT compilation, discussed in 
bug#71725, seems to disable that, it would seem that this section in the 
manual should be updated accordingly.  (Or, ideally, that behavior would 
be restored for packages installed outside of Guix, but that's what 
bug#71725 is about.)

Thanks,
Adam